## qubes-core-qrexec 4.2.0

=== debian/changelog ===
qubes-core-qrexec (4.2.0-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 11 Oct 2022 17:58:34 +0200

qubes-core-qrexec (4.2.0-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Ignore oversensitive pylint warnings
  * Reformat code to be PEP8 compliant

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI

  [ Marek Marczykowski-Górecki ]
  * ci: add codecov-wrapper

  [ Marta Marczykowska-Górecka ]
  * Fix incorrect ownership of policy dirs

  [ Locria Cyber ]
  * In PKGBUILD: copy instead of symlink

  [ locriacyber ]
  * Update archlinux/PKGBUILD

  [ Marek Marczykowski-Górecki ]
  * ci: install extra packages necessary for unit tests

  [ Frédéric Pierret (fepitre) ]
  * Add Qubes Builder v2 integration

  [ Marta Marczykowska-Górecka ]
  * Add get_files to policy admin client
  * Remove root user requirement for policy admin client
  * Add str representation to policy rule objects
  * add more tests to placate codecov
  * Apply @marmarek's code review
  * Fix empty file list in PolicyClient.get_files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 11 Oct 2022 17:58:34 +0200

qubes-core-qrexec (4.1.18-1) unstable; urgency=medium

  * Fix parsing legacy policy files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Mar 2022 05:47:18 +0100

qubes-core-qrexec (4.1.17-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Check the return value of snprintf

  [ Marek Marczykowski-Górecki ]
  * Fix error return value in allocate_vchan_port
  * policy: fix notification on refused autostart

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Feb 2022 05:21:30 +0100

qubes-core-qrexec (4.1.16-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Add assertions that FD_SETSIZE is not exceeded

  [ Marek Marczykowski-Górecki ]
  * policy: fix reporting failed target start

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 Dec 2021 04:56:52 +0100

qubes-core-qrexec (4.1.15-1) unstable; urgency=medium

  * Fix FD leak causing DispVMs not being cleaned up properly

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 01 Jul 2021 05:48:23 +0200

qubes-core-qrexec (4.1.14-1) unstable; urgency=medium

  [ Dmitry Fedorov ]
  * winusb: allow to build without pam
  * winusb: set guivm to None on unknown source
  * winusb: append LDLIBS
  * winsub: fix broad exception
  * winusb: check if pam include file exists and set appropriate flags

  [ Marek Marczykowski-Górecki ]
  * Adjust vchan_{send,recv} error checking
  * daemon: fix checking qrexec-policy-daemon response

  [ Demi Marie Obenour ]
  * Switch from __gcov_flush to __gcov_dump + __gcov_reset
  * Be stricter about command-line parsing
  * Create a DispVMTemplate instance when needed

  [ Marek Marczykowski-Górecki ]
  * Use generic 'guivm' service to tell if running inside GUI VM

  [ Demi Marie Obenour ]
  * Add a policy.EvalSimple qrexec service
  * Add unit tests for policy.EvalSimple
  * Tell pylint not to whine about extra parentheses
  * Add policy.EvalGUI service
  * Do not use the asynctest module
  * Use separate sockets for different services
  * Lots of unit tests and some bug fixes
  * Shut up pylint
  * Set socket modes properly
  * Handle partial reads from StreamReader.read
  * Automatically install dependencies when possible
  * Avoid calling get_system_info() twice
  * Parse the qrexec call metadata before untrusted data
  * Add a test for qrexec policy allowing an operation

  [ Marek Marczykowski-Górecki ]
  * Force color pytest output in gitlab

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Jun 2021 03:33:11 +0200

qubes-core-qrexec (4.1.13-1) unstable; urgency=medium

  * agent: do not interrupt established connections on restart

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 10 Jan 2021 03:14:46 +0100

qubes-core-qrexec (4.1.12-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Set default BACKEND_VMM value to xen
  * Use pkg-config to get BACKEND_VMM

  [ Marek Marczykowski-Górecki ]
  * Allow to override vchan variant selection with BACKEND_VMM variable

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: include custom jobs
  * pylint: temporarily disable unsubscriptable-object - buggy with
    py3.9

  [ Frédéric Pierret (fepitre) ]
  * debian: update control
  * debian: update compat

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 05 Jan 2021 22:22:23 +0100

qubes-core-qrexec (4.1.11-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add ArchLinux packaging
  * archlinux: ensure python-setuptools make deps
  * archlinux: don't need to qubes-vm-utils
  * makefile: /lib is SYSLIBDIR
  * archlinux: ensure PKGBUILD.install

  [ icequbes1 ]
  * [archlinux] Fix qrexec installing wrong qrexec.pam file

  [ Marek Marczykowski-Górecki ]
  * daemon: fix handling multiple parallel qrexec-policy processes
  * libqrexec: fix calling qubes.WaitForSession
  * tests: minor adjustment
  * qrexec-policy-agent: do not patch event loop on module import
  * Start qrexec-agent only after systemd let in normal users

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 13 Nov 2020 03:43:37 +0100

qubes-core-qrexec (4.1.10-1) unstable; urgency=medium

  * agent: do not crash on spurious MSG_SERVICE_CONNECT from the daemon
  * daemon: do not send MSG_SERVICE_* messages twice for a given
    connection
  * policy: adjust call target for allow action too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Oct 2020 19:10:47 +0200

qubes-core-qrexec (4.1.9-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update travis

  [ Marek Marczykowski-Górecki ]
  * travis: restore language option
  * policy: interpret invalid requested target as @default


