=== debian/control ===
Source: qubes-core-qrexec
Section: admin
Priority: optional
Maintainer: unman <unman@thirdeyesecurity.org>
Build-Depends:
 debhelper,
 libpam0g-dev,
 libvchan-xen-dev,
 pkg-config,
 dh-python,
 lsb-release,
 python3-setuptools,
 python3-gbulb,
 pandoc,
Standards-Version: 4.4.0.1
Homepage: https://www.qubes-os.org
#Vcs-Git: https://github.com/QubesOS/qubes-core-qrexec

Package: qubes-core-qrexec
Architecture: any
Depends: 
 libvchan-xen,
 libqrexec-utils2 (= ${binary:Version}),
 ${shlibs:Depends}, 
 ${misc:Depends}
Replaces: qubes-core-agent-qrexec (<< 4.1.0-1)
Breaks:
 qubes-core-agent-qrexec (<< 4.1.0-1),
 qubes-gui-agent (<< 4.1.6-1),
 qubes-gpg-split (<< 2.0.45-1),
 qubes-gui-daemon (<< 4.1.4-1),
 qubes-input-proxy (<< 1.0.17),
 qubes-pdf-converter (<< 2.1.7-1),
 qubes-usb-proxy (<< 1.0.28)
Description: Qubes qrexec agent
 Agent part of Qubes RPC system. A daemon responsible for starting processes as
 requested by dom0 or other VMs, according to dom0-enforced policy.

Package: libqrexec-utils2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Library of common functions of qrexec agent and daemon
 This library contains common helper functions for qrexec agent and daemon.

Package: libqrexec-utils-dev
Architecture: any
Section: libdevel
Depends: libqrexec-utils2 (= ${binary:Version}), ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Development headers for libqrexec-utils
 This package contains files required to compile qrexec-agent and qrexec-daemon.

Package: python3-qrexec
Architecture: any
Depends:
 ${python3:Depends},
Description: Qrexec policy related python module
 Qrexec policy related python module
