## qubes-core-qrexec 4.2.2

=== debian/changelog ===
qubes-core-qrexec (4.2.2-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 09 Jan 2023 11:02:14 +0100

qubes-core-qrexec (4.2.2-1) unstable; urgency=medium

  * debian: drop explicit dependency on libvchan-xen

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Jan 2023 11:02:14 +0100
