## qubes-core-qrexec 4.2.3

=== debian/changelog ===
qubes-core-qrexec (4.2.3-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 28 Jan 2023 03:39:36 +0100

qubes-core-qrexec (4.2.3-1) unstable; urgency=medium

  * Wrap coroutine in a task before passing to asyncio.wait
  * Do not call asyncio.get_event_loop() before creating one
  * Make pylint happy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Jan 2023 03:39:36 +0100
