## qubes-core-qrexec 4.2.4

=== debian/changelog ===
qubes-core-qrexec (4.2.4-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 26 Apr 2023 03:44:30 +0200

qubes-core-qrexec (4.2.4-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix policy permissions on upgrade too

  [ Maja Kądziołka ]
  * Fix man page format

  [ Marek Marczykowski-Górecki ]
  * Switch to new codecov uploader

  [ Frédéric Pierret (fepitre) ]
  * Rework Archlinux packaging

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 26 Apr 2023 03:44:30 +0200
