=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Package: qubes-core-qrexec
 Architecture: any
 Depends: 
- libvchan-xen,
  libqrexec-utils2 (= ${binary:Version}),
  ${shlibs:Depends}, 
  ${misc:Depends}
