## qubes-core-qrexec 4.2.6

=== debian/changelog ===
qubes-core-qrexec (4.2.6-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 11 May 2023 15:58:08 +0200

qubes-core-qrexec (4.2.6-1) unstable; urgency=medium

  * daemon: fix off-by-one in MSG_TRIGGER_SERVICE3 validation
  * Do not use 'annotation' future extension

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 11 May 2023 15:58:08 +0200
