## qubes-core-qrexec 4.2.10

=== debian/changelog ===
qubes-core-qrexec (4.2.10-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 02 Sep 2023 23:55:36 +0200

qubes-core-qrexec (4.2.10-1) unstable; urgency=medium

  [ Ben Grande ]
  * Add lint and editor policy tools

  [ Marek Marczykowski-Górecki ]
  * Add connection timeout on the VM side too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 02 Sep 2023 23:55:36 +0200
