## qubes-core-qrexec 4.2.14

=== debian/changelog ===
qubes-core-qrexec (4.2.14-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 12 Oct 2023 22:30:00 +0200

qubes-core-qrexec (4.2.14-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix conversion rules for input policy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 12 Oct 2023 22:30:00 +0200
