## qubes-core-qrexec 4.2.15

=== debian/changelog ===
qubes-core-qrexec (4.2.15-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 22 Oct 2023 04:07:58 +0200

qubes-core-qrexec (4.2.15-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: upload gcov coverage data too
  * ci: fixup coverage data collection

  [ Demi Marie Obenour ]
  * Don't wait for stdin if there is unsent prefix data

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 22 Oct 2023 04:07:58 +0200
