## qubes-core-qrexec 4.2.18

=== debian/changelog ===
qubes-core-qrexec (4.2.18-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 05 Feb 2024 04:49:33 +0100

qubes-core-qrexec (4.2.18-1) unstable; urgency=medium

  * agent: fix calloc parameters order

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 05 Feb 2024 04:49:33 +0100
