=== debian/control ===
--- 
+++ 
@@ -56,6 +56,7 @@
 Package: python3-qrexec
 Architecture: any
 Depends:
+ python3-pyinotify,
  ${python3:Depends},
 Description: Qrexec policy related python module
  Qrexec policy related python module
